# frozen_string_literal: true

module PIIDetector
  class Configuration
    attr_accessor :edit_distance
    attr_reader :pii_fields

    def initialize
      @edit_distance = 2
      @pii_fields = pii_fields_from_config
    end

    # @param value [Array] or [Set]
    def pii_fields=(value)
      @pii_fields = pii_fields_from_config.merge(value)
    end

    private

    # @return [Set]
    def pii_fields_from_config
      @default_pii_fields ||=
        File.read(File.join(PIIDetector.root_path, 'lib/config', 'pii_fields'))
          .split("\n")
          .reject(&:empty?)
          .to_set
    end
  end
end
